#### Previous topic

scipy.spatial.distance.sokalmichener

#### Next topic

scipy.spatial.distance.yule

# scipy.spatial.distance.sokalsneath

`scipy.spatial.distance.``sokalsneath`(u, v)

  Computes the Sokal-Sneath dissimilarity between two boolean 1-D arrays.

  The Sokal-Sneath dissimilarity between u and v,

  \[\frac{R} {c_{TT} + R}\]

  where \(c_{ij}\) is the number of occurrences of \(\mathtt{u[k]} = i\) and \(\mathtt{v[k]} = j\) for \(k < n\) and \(R = 2(c_{TF} + c_{FT})\).

  Parameters:

  u : (N,) array_like, bool

  > Input array.

  v : (N,) array_like, bool

  > Input array.

  Returns:

  sokalsneath : double

  > The Sokal-Sneath dissimilarity between vectors u and v.